> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate agreement PDF

> Generate a PDF agreement of a previously prepared org.Party silo entry.

After a complete Party has been uploaded to the silo, use this API endpoint to generate a PDF version of the Invopop collaboration agreement document.


## OpenAPI

````yaml GET /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: Set of end-points that help you test access to the Spain app API.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Spain Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement:
    get:
      description: Generate a PDF agreement of a previously prepared org.Party silo entry.
      parameters:
        - description: ID of the org.Party silo entry to generate the agreement for.
          in: path
          name: silo_entry_id
          required: true
          schema:
            description: ID of the org.Party silo entry to generate the agreement for.
            example: 5b45453c-cdd0-11ed-afa1-0242ac120002
            title: ID
            type: string
        - description: System in which the party is being registered.
          in: path
          name: system
          required: true
          schema:
            description: System in which the party is being registered.
            title: System
            type: string
            enum:
              - sii
      responses:
        '200':
          description: >-
            Successfully generated PDF of the agreement for the supplier or
            representative to sign.
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        '422':
          description: Bad Request - Invalid input data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    description: Details of the error.
        '500':
          description: Internal Server Error - Failed to generate PDF.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    description: Details of the error.
components:
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````